Package org.apache.sling.resourceresolver.impl.observation

# Class ResourceChangeListenerWhiteboard

java.lang.Object
org.apache.sling.resourceresolver.impl.observation.ResourceChangeListenerWhiteboard

All Implemented Interfaces:
  `ResourceProviderTracker.ObservationReporterGenerator`

public class ResourceChangeListenerWhiteboard extends Object implements ResourceProviderTracker.ObservationReporterGenerator
Tracker component for the resource change listeners.

## Constructor Summary

Constructors
Constructor
Description
`ResourceChangeListenerWhiteboard()`

## Method Summary

Modifier and Type
Method
Description
`void`
`activate(org.osgi.framework.BundleContext bundleContext, ResourceProviderTracker resourceProviderTracker, List<String> searchPath)`
`org.apache.sling.spi.resource.provider.ObservationReporter`
`create(org.apache.sling.api.resource.path.Path path, org.apache.sling.api.resource.path.PathSet excludes)`
`org.apache.sling.spi.resource.provider.ObservationReporter`
`createProviderReporter()`
`void`
`deactivate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceChangeListenerWhiteboard

public ResourceChangeListenerWhiteboard()

## Method Details

### activate

public void activate(org.osgi.framework.BundleContext bundleContext, ResourceProviderTracker resourceProviderTracker, List<String> searchPath)

### deactivate

public void deactivate()

### create

public org.apache.sling.spi.resource.provider.ObservationReporter create(org.apache.sling.api.resource.path.Path path, org.apache.sling.api.resource.path.PathSet excludes)

Specified by:
  `create` in interface `ResourceProviderTracker.ObservationReporterGenerator`

### createProviderReporter

public org.apache.sling.spi.resource.provider.ObservationReporter createProviderReporter()

Specified by:
  `createProviderReporter` in interface `ResourceProviderTracker.ObservationReporterGenerator`